--taken from chairodactyl's Rainbow Road lua
local musicrate = GAMESTATE:GetSongOptionsObject("ModsLevel_Song"):MusicRate()
local beattime = (60/158)/musicrate

return Def.ActorFrame{

--	InitCommand=function(self)
		--SCREENMAN:SystemMessage(musicrate)
--		self:sleep(9999)
--	end,

	Def.Sprite{
		Texture="untitled.mp4",

		OnCommand=function(self)
			self:Center():FullScreen():sleep(beattime*32):diffusealpha(0)
		end --OnCommand
	},	--Sprite dialogue
	
		

} --returned AF